#1470 Open last capture location unexpected error occured with citrix published application

1.0.6
open
nobody
none
5
2013-03-15
2013-03-06
rovo13
No

Software version: 1.0.6.2228 (32 bit)
.NET runtime version: 4.0.30319.296
Time: 2013-03-06 15:55:48 +01:00
OS: Windows Server 2003 Standard Service Pack 2 (x32) 5.2 build 3790 revision 20000
GDI object count: 105
User object count: 74
Exception: System.ComponentModel.Win32Exception
Message: The system cannot find the device specified

Additional Information:
path = B:\

ErrorCode: 0x80004005

Stack:
at Greenshot.MainForm.Contextmenu_OpenRecent(Object sender, EventArgs eventArgs)
at System.Windows.Forms.ToolStripItem.RaiseEvent(Object key, EventArgs e)
at System.Windows.Forms.ToolStripMenuItem.OnClick(EventArgs e)
at System.Windows.Forms.ToolStripItem.HandleClick(EventArgs e)
at System.Windows.Forms.ToolStripItem.HandleMouseUp(MouseEventArgs e)
at System.Windows.Forms.ToolStripItem.FireEventInteractive(EventArgs e, ToolStripItemEventType met)
at System.Windows.Forms.ToolStripItem.FireEvent(EventArgs e, ToolStripItemEventType met)
at System.Windows.Forms.ToolStrip.OnMouseUp(MouseEventArgs mea)
at System.Windows.Forms.ToolStripDropDown.OnMouseUp(MouseEventArgs mea)
at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
at System.Windows.Forms.Control.WndProc(Message& m)
at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
at System.Windows.Forms.ToolStrip.WndProc(Message& m)
at System.Windows.Forms.ToolStripDropDown.WndProc(Message& m)
at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Configuration dump:
[Core]
Language=en-US
RegionHotkey=PrintScreen
WindowHotkey=Alt + PrintScreen
FullscreenHotkey=Ctrl + PrintScreen
LastregionHotkey=Shift + PrintScreen
IEHotkey=Ctrl + Shift + PrintScreen
IsFirstLaunch=False
Destinations=Picker
ClipboardFormats=PNG,DIB
CaptureMousepointer=True
CaptureWindowsInteractive=False
CaptureDelay=100
ScreenCaptureMode=Auto
ScreenToCapture=1
WindowCaptureMode=Auto
WindowCaptureAllChildLocations=False
DWMBackgroundColor=Transparent
PlayCameraSound=False
ShowTrayNotification=True
OutputFilePath=B:\ OutputFileAllowOverwrite=True
OutputFileFilenamePattern=${capturetime:d"yyyy-MM-dd HH_mm"}-${title}
OutputFileFormat=jpg
OutputFileReduceColors=False
OutputFileAutoReduceColors=True
OutputFileCopyPathToClipboard=False
OutputFileAsFullpath=B:\2013-03-06 15_54-Greenshot.jpg
OutputFileJpegQuality=80
OutputFilePromptQuality=False
OutputFileIncrementingNumber=1
OutputPrintPromptOptions=True
OutputPrintAllowRotate=True
OutputPrintAllowEnlarge=True
OutputPrintAllowShrink=True
OutputPrintCenter=True
OutputPrintInverted=False
OutputPrintGrayscale=False
OutputPrintFooter=True
OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
NotificationSound=default
UseProxy=True
IECapture=True
IEFieldCapture=False
WindowClassesToCheckForIE=AfxFrameOrView70,IMWindowClass
AutoCropDifference=10
IncludePlugins=
ExcludePlugins=Imgur Plugin
ExcludeDestinations=OneNote
UpdateCheckInterval=0
LastUpdateCheck=12/19/2012 14:23:28
DisableSettings=False
DisableQuickSettings=False
DisableTrayicon=False
HideExpertSettings=True
ThumnailPreview=True
NoGDICaptureForProduct=intellij,idea
NoDWMCaptureForProduct=citrix,ica,client
OptimizeForRDP=False
MinimizeWorkingSetSize=True
CheckForUnstable=False
ActiveTitleFixes=Firefox,IE,Chrome
TitleFixMatcher.Firefox= - Mozilla Firefox.
TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.

TitleFixMatcher.Chrome= - Google Chrome.*
TitleFixReplacer.Firefox=
TitleFixReplacer.IE=
TitleFixReplacer.Chrome=
EnableSpecialDIBClipboardReader=True

Related

Bugs: #1470

Discussion

  • Robin Krom
    Robin Krom
    2013-03-07

    Hi,

    could it be that a "B:\" drive was mounted, screenshot saved on it and than it was removed?

    I made a fix, which prevents our "bug" reporting form and shows a message instead.
    This will be available with Greenshot 1.1.02526 and later (Related commits are [r2525] & [r2526])

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2013-03-07

    • status: open --> pending
    • resolution: none --> fixed
     
  • Robin Krom
    Robin Krom
    2013-03-07

    I already changed the status to fix, as I assume the capture was written to B:\ which is no longer available. Greenshot can't fix a drive you removed.

    Still I would appreciate any feedback on the issue!

    Best wishes,
    Robin

     
  • rovo13
    rovo13
    2013-03-07

    Hi Robin

    The B: Drive is a subst of the c:\ drive. It can't be removed.
    I only have this issue when I use the Greenshot at published appication mode.
    When I start a published desktop and run greenshot all things working well.

    For my it isn't fixed right now. sorry.

     
  • Robin Krom
    Robin Krom
    2013-03-07

    No need to be sorry, I jumped to a conclusion which was wrong.

    Currently I'm guessing that in the published application mode Greenshot doesn't have access to "B:\". IF this is the case, how should Greenshot react? Ignore? Open the default location? What if this isn't there either?

    I'll need to check what this published application mode is, never heard of it...

    What I also did notice: in the configuration dump of this bug, if you look at the output path, its set to B:\ but right behind this is the next property which should be on the next line. I'm not sure if this is an output error, configuration error, reading bug of Greenshot or a problem with the ticketing system. But could you check the greenshot.ini if the line is correct?
    (If you can't find the ini, open the Greenshot about and press the "i" key.)

    On a small side-note, for Greenshot 1.1 I tried to optimize the screen drawing for RDP. Unfortunately this is all in theory as I don't have remote desktop possibilities, it would be nice if someone had a try.

    You can find the latest, but mostly untested, Greenshot builds here.

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2013-03-07

    • status: pending --> open
    • resolution: fixed --> none
     
  • Robin Krom
    Robin Krom
    2013-03-07

    Oh, I forgot... Remote Desktop is not citrix, this will be even harder to test. I know that with Remote Desktop Greenshot 1.1 recognises that it's running remotely, it will disable double-buffering and animations (which we added in 1.1). I don't know if Windows tells us we are running under citrix... There is an option in the expert tab though!

     
  • rovo13
    rovo13
    2013-03-08

    Hi Robin
    RDP isn't not exactly the same.
    Citrix use the ICA protocoll.
    MS using a scalled version of ICA
    The RDP protocol is not so performant but the kernel is purchased from Citrix.

    Access to my B: Drive is always available.
    The difference between published app's and desktop is listed here:
    http://forums.citrix.com/thread.jspa?threadID=85774

    I hope I can help you and you can help with this information me :-)

     
  • Robin Krom
    Robin Krom
    2013-03-08

    Hi,

    I know they use different protocols, we just optimized the drawing routines so less information needs to go over the cable.

    Did you check the configuration, maybe there really is an error.

    Best wishes,
    Robin

     
  • rovo13
    rovo13
    2013-03-15

    Hi Robin

    Well, I did check the configuration, altrought I didnt found any
    misconfigurations I would like to ask you why it works on published
    desktop well and into published apps not?
    The configuration are the same.

    Kind Regards
    Roger

    System Engineer
    Informatik Backoffice

    WEIDMANN INFRA AG
    Neue Jonastrasse 60
    CH-8640 Rapperswil, Switzerland

    TD +41 55 221 43 00
    M +41 79 945 23 19
    roger.voegeli@wicor.com
    www.wicor.com

    Von: "Robin Krom" apex75@users.sf.net
    An: "[greenshot:bugs] " 1470@bugs.greenshot.p.re.sf.net
    Datum: 08.03.2013 20:17
    Betreff: [greenshot:bugs] #1470 Open last capture location
    unexpected error occured with citrix published application

    Hi,
    I know they use different protocols, we just optimized the drawing
    routines so less information needs to go over the cable.
    Did you check the configuration, maybe there really is an error.
    Best wishes,
    Robin

    [bugs:#1470] Open last capture location unexpected error occured with
    citrix published application
    Status: open
    Labels: Open last capture location citrix published application
    Created: Wed Mar 06, 2013 03:15 PM UTC by rovo13
    Last Updated: Fri Mar 08, 2013 08:03 AM UTC
    Owner: nobody
    Software version: 1.0.6.2228 (32 bit)
    .NET runtime version: 4.0.30319.296
    Time: 2013-03-06 15:55:48 +01:00
    OS: Windows Server 2003 Standard Service Pack 2 (x32) 5.2 build 3790
    revision 20000
    GDI object count: 105
    User object count: 74
    Exception: System.ComponentModel.Win32Exception
    Message: The system cannot find the device specified
    Additional Information:
    path = B:\ ErrorCode: 0x80004005
    Stack:
    at Greenshot.MainForm.Contextmenu_OpenRecent(Object sender, EventArgs
    eventArgs)
    at System.Windows.Forms.ToolStripItem.RaiseEvent(Object key, EventArgs e)
    at System.Windows.Forms.ToolStripMenuItem.OnClick(EventArgs e)
    at System.Windows.Forms.ToolStripItem.HandleClick(EventArgs e)
    at System.Windows.Forms.ToolStripItem.HandleMouseUp(MouseEventArgs e)
    at System.Windows.Forms.ToolStripItem.FireEventInteractive(EventArgs e,
    ToolStripItemEventType met)
    at System.Windows.Forms.ToolStripItem.FireEvent(EventArgs e,
    ToolStripItemEventType met)
    at System.Windows.Forms.ToolStrip.OnMouseUp(MouseEventArgs mea)
    at System.Windows.Forms.ToolStripDropDown.OnMouseUp(MouseEventArgs mea)
    at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button,

    Int32 clicks)
    at System.Windows.Forms.Control.WndProc(Message& m)
    at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
    at System.Windows.Forms.ToolStrip.WndProc(Message& m)
    at System.Windows.Forms.ToolStripDropDown.WndProc(Message& m)
    at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
    at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
    at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg,
    IntPtr wparam, IntPtr lparam)
    Configuration dump:
    [Core]
    Language=en-US
    RegionHotkey=PrintScreen
    WindowHotkey=Alt + PrintScreen
    FullscreenHotkey=Ctrl + PrintScreen
    LastregionHotkey=Shift + PrintScreen
    IEHotkey=Ctrl + Shift + PrintScreen
    IsFirstLaunch=False
    Destinations=Picker
    ClipboardFormats=PNG,DIB
    CaptureMousepointer=True
    CaptureWindowsInteractive=False
    CaptureDelay=100
    ScreenCaptureMode=Auto
    ScreenToCapture=1
    WindowCaptureMode=Auto
    WindowCaptureAllChildLocations=False
    DWMBackgroundColor=Transparent
    PlayCameraSound=False
    ShowTrayNotification=True
    OutputFilePath=B:\ OutputFileAllowOverwrite=True
    OutputFileFilenamePattern=${capturetime:d"yyyy-MM-dd HH_mm"}-${title}
    OutputFileFormat=jpg
    OutputFileReduceColors=False
    OutputFileAutoReduceColors=True
    OutputFileCopyPathToClipboard=False
    OutputFileAsFullpath=B:\2013-03-06 15_54-Greenshot.jpg
    OutputFileJpegQuality=80
    OutputFilePromptQuality=False
    OutputFileIncrementingNumber=1
    OutputPrintPromptOptions=True
    OutputPrintAllowRotate=True
    OutputPrintAllowEnlarge=True
    OutputPrintAllowShrink=True
    OutputPrintCenter=True
    OutputPrintInverted=False
    OutputPrintGrayscale=False
    OutputPrintFooter=True
    OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} -
    ${title}
    NotificationSound=default
    UseProxy=True
    IECapture=True
    IEFieldCapture=False
    WindowClassesToCheckForIE=AfxFrameOrView70,IMWindowClass
    AutoCropDifference=10
    IncludePlugins=
    ExcludePlugins=Imgur Plugin
    ExcludeDestinations=OneNote
    UpdateCheckInterval=0
    LastUpdateCheck=12/19/2012 14:23:28
    DisableSettings=False
    DisableQuickSettings=False
    DisableTrayicon=False
    HideExpertSettings=True
    ThumnailPreview=True
    NoGDICaptureForProduct=intellij,idea
    NoDWMCaptureForProduct=citrix,ica,client
    OptimizeForRDP=False
    MinimizeWorkingSetSize=True
    CheckForUnstable=False
    ActiveTitleFixes=Firefox,IE,Chrome
    TitleFixMatcher.Firefox= - Mozilla Firefox.
    TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.
    TitleFixMatcher.Chrome= - Google Chrome.*
    TitleFixReplacer.Firefox=
    TitleFixReplacer.IE=
    TitleFixReplacer.Chrome=
    EnableSpecialDIBClipboardReader=True

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/greenshot/bugs/1470/
    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #1470

  • Robin Krom
    Robin Krom
    2013-03-15

    Unfortunately I'm not a citrix expert, and worse is that I can't look and try around on your system ;-)

    But it really has to do with some access policies/settings, why else would Greenshot not find the B:\ drive... If I understand the information on the internet would suggest that for Citrix this is called the webica.ini file, maybe you can have a look in this or can you tell me what is in the webica.ini file?

    Best wishes,
    Robin